### Hierarchy

- AppVersion

## Index

### Constructors

- constructor

### Properties

- major
- minor
- patch

### Methods

- isLessThanOrEqualTo
- getAppVersion

## Constructors

### constructor

- new AppVersion(major: number, minor: number, patch: number): AppVersion

- - Defined in dialog/Catavolt.ts:501

  #### Parameters

  - ##### major: number

  - ##### minor: number

  - ##### patch: number

  #### Returns AppVersion

## Properties

### major

major: number

- Defined in dialog/Catavolt.ts:503

### minor

minor: number

- Defined in dialog/Catavolt.ts:503

### patch

patch: number

- Defined in dialog/Catavolt.ts:503

## Methods

### isLessThanOrEqualTo

- isLessThanOrEqualTo(anotherVersion: AppVersion): boolean

- - Defined in dialog/Catavolt.ts:510

  Is 'this' version less than or equal to the supplied version?

  #### Parameters

  - ##### anotherVersion: AppVersion

    the version to compare to 'this' version

  #### Returns boolean

### Static getAppVersion

- getAppVersion(versionString: string): AppVersion

- - Defined in dialog/Catavolt.ts:498

  #### Parameters

  - ##### versionString: string

  #### Returns AppVersion

Generated using TypeDoc